<Type Name="NpgsqlRowUpdatingEventArgs" FullName="NpgsqlRowUpdatingEventArgs">
  <TypeSignature Language="C#" Value="public class NpgsqlRowUpdatingEventArgs : System.Data.Common.RowUpdatingEventArgs" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>Npgsql</AssemblyName>
    <AssemblyPublicKey>
    </AssemblyPublicKey>
    <AssemblyVersion>0.6.0.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes />
  </AssemblyInfo>
  <ThreadSafetyStatement />
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Data.Common.RowUpdatingEventArgs</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes />
  <Members>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public NpgsqlRowUpdatingEventArgs (ystem.Data.DataRow dataRow, ystem.Data.IDbCommand command, ystem.Data.StatementType statementType, ystem.Data.Common.DataTableMapping tableMapping);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="dataRow" Type="System.Data.DataRow" />
        <Parameter Name="command" Type="System.Data.IDbCommand" />
        <Parameter Name="statementType" Type="System.Data.StatementType" />
        <Parameter Name="tableMapping" Type="System.Data.Common.DataTableMapping" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataRow">a <see cref="T:System.Data.DataRow" /></param>
        <param name="command">a <see cref="T:System.Data.IDbCommand" /></param>
        <param name="statementType">a <see cref="T:System.Data.StatementType" /></param>
        <param name="tableMapping">a <see cref="T:System.Data.Common.DataTableMapping" /></param>
        <returns>a <see cref="T:NpgsqlRowUpdatingEventArgs" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>